Skip to main content
POST
/
v1
/
public
/
proposals
/
{quoteVersionId}
/
decline
Decline proposal
curl --request POST \
  --url https://{operatorDomain}/v1/public/proposals/{quoteVersionId}/decline
{
  "quoteVersionId": "qver_01h...",
  "status": "viewed",
  "title": "<string>",
  "currency": "EUR",
  "totalAmount": 123,
  "lines": [
    {
      "description": "<string>",
      "quantity": 123,
      "unitAmount": 123
    }
  ],
  "operatorProfile": {
    "tradingName": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "logoUrl": "<string>",
    "address": {}
  },
  "expiresAt": "2023-11-07T05:31:56Z"
}

Path Parameters

quoteVersionId
string
required

Response

200 - application/json

Declined proposal

quoteVersionId
string
Example:

"qver_01h..."

status
string
Example:

"viewed"

title
string
currency
string
Example:

"EUR"

totalAmount
integer

Minor units

lines
object[]
operatorProfile
object
expiresAt
string<date-time> | null